/*
 * Copyright (c) 2018 Samsung Electronics Co., Ltd. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */
#ifndef __UAT_COMMON_H__
#define __UAT_COMMON_H__

#ifdef __cplusplus
extern "C" {
#endif

typedef enum {
	UAT_SENSOR_TYPE_BT = 1,
	UAT_SENSOR_TYPE_BLE = 2,
	UAT_SENSOR_TYPE_WIFI = 3,
	UAT_SENSOR_TYPE_MOTION = 4,
	UAT_SENSOR_TYPE_LIGHT = 5,
	UAT_SENSOR_TYPE_AUDIO = 6,
	UAT_SENSOR_TYPE_MAX
} uat_sensor_type_e;

typedef enum {
	UAT_MAC_TYPE_BT = 1,
	UAT_MAC_TYPE_BLE = 2,
	UAT_MAC_TYPE_WIFI = 3,
	UAT_MAC_TYPE_P2P = 4,
	UAT_MAC_TYPE_MAX
} uat_mac_type_e;

const char* uat_get_error_str(int err);
const char* uat_get_sensor_str(int sensors);
const char* uat_get_mac_type_str(int sensor);
const char* uat_get_str_from_uat_mac_type(int mac_type);
const char* uat_get_sensor_bitmask_str(ua_sensor_e sensor);
char* uat_get_time(void);
const char * __convert_device_mac_type_to_txt(ua_mac_type_e mac_type);

#ifdef __cplusplus
}
#endif

#endif /* __UAT_COMMON_H__ */
